Newsletter

get
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Query parameters
limitintegerOptional

Number of results to return per page.

offsetintegerOptional

The initial index from which to return the results.

Responses
chevron-right
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=400&limit=100
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?offset=200&limit=100
get
/api/newsletter
200Success
post
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Body
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyRequired
emailstring · email · max: 254Required
Responses
post
/api/newsletter
201Success
get
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this newsletter.

Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyRequired
emailstring · email · max: 254Required
get
/api/newsletter/{id}
200Success
put
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this newsletter.

Body
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyRequired
emailstring · email · max: 254Required
Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyRequired
emailstring · email · max: 254Required
put
/api/newsletter/{id}
200Success
delete
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this newsletter.

Responses
delete
/api/newsletter/{id}
204

No response body

No content

patch
Authorizations
AuthorizationstringOptional
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

A UUID string identifying this newsletter.

Body
idstring · uuidRead-onlyOptional
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyOptional
emailstring · email · max: 254Optional
Responses
chevron-right
200Success
application/json
idstring · uuidRead-onlyRequired
legacy_idstring · nullableOptional
nextgen_legacy_idstring · nullableOptional
created_atstring · date-time · nullableOptional
updated_atstring · date-timeRead-onlyRequired
emailstring · email · max: 254Required
patch
/api/newsletter/{id}
200Success